Support for pandoc 2.19.2

Previous I had been using pandoc 2.9.2.1, available through the Debian
repositories.  I installed 2.19.2 through Guix.

The biggest issue I ran into was wrapping of the output, which messed up
my klugy post-processing scripts that expected `h1` tags to have their
attributes all on the same line.  The `--wrap none` flag resolves that.

I diff'd the webroot before and after these changes.  The primary
changes were related to footnote classes, the recognition of fancy
quotes in a couple new situations, and new classes introduced to source
code listings.  I'll have to investigate styling them, since I haven't
visited the CSS for that in quite some time.
master
Mike Gerwitz 2024-03-17 21:45:12 -04:00
parent 88b9b2dee2
commit 99a1c4e015
Signed by: mikegerwitz
GPG Key ID: 8C917B7F5DC51BA2
2 changed files with 9 additions and 3 deletions

View File

@ -36,9 +36,15 @@ main()
| grep '<h1' \
| head -n1 \
| grep -oP '(?<=>)[^<]+' \
)
) || {
echo 'error: h12title: failed to locate heading' >&2
exit 1
}
sed "s#$placeholder#${title/&/\\&}#" <<< "$body"
sed "s#$placeholder#${title/&/\\&}#" <<< "$body" || {
printf "error: h12title: failed title replacement: '%s'\n" "$title" >&2
exit 1
}
}
main "$@"

View File

@ -135,7 +135,7 @@ main()
pandoc -f"$( pexts )" -thtml5 \
--standalone --template src/pandoc.tpl \
--metadata pagetitle:ignoreme \
--base-header-level=1 \
--wrap none \
-B <( src/mkheader post @__PAGE_TITLE__@ ) \
-A src/footer.tpl.htm \
< <( prefmt < "$file" ) \